/*

	This is the source code of

   	M A I T R E Y A
    ===============

	Open source platform for Vedic and western astrology

  File           SbcView_defs.h
  Release        4.1
  Author         Martin Pettau
  Copyright (C)  2003-2006 by the author

  Released under the Artistic License as published by the
  Free Software Foundation, read the file 'COPYING' for more information.

*/

#ifndef _SANSKRIT_DEFS_H_
#define _SANSKRIT_DEFS_H_

#if wxUSE_UNICODE

// Upper line
const wxChar * sanskrit_ee = _( "ई" );
const wxChar * sanskrit_a = _( "अ" );

// line 2
const wxChar * sanskrit_ri = _( "ॠ" );
const wxChar * sanskrit_g = _( "ग" );
const wxChar * sanskrit_s = _( "स" );
const wxChar * sanskrit_d = _( "द" );
const wxChar * sanskrit_ch = _( "च" );
const wxChar * sanskrit_l = _( "ल" );
const wxChar * sanskrit_u = _( "उ" );


// line 3
const wxChar * sanskrit_kh = _( "ख" );
const wxChar * sanskrit_ai = _( "ऎ" );
const wxChar * sanskrit_li = _( "ऌ" );

// line 4
const wxChar * sanskrit_j = _( "ज" );
const wxChar * sanskrit_ah = _( "अः" );
const wxChar * sanskrit_o = _( "ओ" );
const wxChar * sanskrit_v = _( "व" );

// line 5
const wxChar * sanskrit_bh = _( "भ" );
const wxChar * sanskrit_k = _( "क" );

// line 6
const wxChar * sanskrit_y = _( "य" );
const wxChar * sanskrit_am = _( "अं" );
const wxChar * sanskrit_au = _( "औ" );
const wxChar * sanskrit_h = _( "ह" );

// line 7
const wxChar * sanskrit_n = _( "न" );
const wxChar * sanskrit_e = _( "ए" );
const wxChar * sanskrit_dd = _( "ड" );

// line 8
const wxChar * sanskrit_t = _( "त" );
const wxChar * sanskrit_r = _( "र" );
const wxChar * sanskrit_p = _( "प" );
const wxChar * sanskrit_th = _( "ट" );
const wxChar * sanskrit_m = _( "म" );
const wxChar * sanskrit_uu = _( "ऊ" );



// Bottom line
const wxChar * sanskrit_i = _( "इ" );
const wxChar * sanskrit_aa = _( "आ" );

#else // ansi

// Upper line
const wxChar * sanskrit_ee = wxT( "ee" );
const wxChar * sanskrit_a = wxT( "a" );

// line 2
const wxChar * sanskrit_ri = wxT( "ri" );
const wxChar * sanskrit_g = wxT( "g" );
const wxChar * sanskrit_s = wxT( "s" );
const wxChar * sanskrit_d = wxT( "d" );
const wxChar * sanskrit_ch = wxT( "ch" );
const wxChar * sanskrit_l = wxT( "l" );
const wxChar * sanskrit_u = wxT( "u" );


// line 3
const wxChar * sanskrit_kh = wxT( "kh" );
const wxChar * sanskrit_ai = wxT( "ai" );
const wxChar * sanskrit_li = wxT( "li" );

// line 4
const wxChar * sanskrit_j = wxT( "j" );
const wxChar * sanskrit_ah = wxT( "ah" );
const wxChar * sanskrit_o = wxT( "o" );
const wxChar * sanskrit_v = wxT( "v" );

// line 5
const wxChar * sanskrit_bh = wxT( "bh" );
const wxChar * sanskrit_k = wxT( "k" );

// line 6
const wxChar * sanskrit_y = wxT( "y" );
const wxChar * sanskrit_am = wxT( "am" );
const wxChar * sanskrit_au = wxT( "au" );
const wxChar * sanskrit_h = wxT( "h" );

// line 7
const wxChar * sanskrit_n = wxT( "n" );
const wxChar * sanskrit_e = wxT( "e" );
const wxChar * sanskrit_dd = wxT( "d" );

// line 8
const wxChar * sanskrit_t = wxT( "t" );
const wxChar * sanskrit_r = wxT( "r" );
const wxChar * sanskrit_p = wxT( "p" );
const wxChar * sanskrit_th = wxT( "th" );
const wxChar * sanskrit_m = wxT( "m" );
const wxChar * sanskrit_uu = wxT( "uu" );


// Bottom line
const wxChar * sanskrit_i = wxT( "i" );
const wxChar * sanskrit_aa = wxT( "aa" );

#endif   // Non Unicode


#endif  
