/*

	This is the source code of

   	M A I T R E Y A
    ===============

	Open source platform for Vedic and western astrology

  File           Shortcuts.h
  Release        4.1
  Author         Martin Pettau
  Copyright (C)  2003-2006 by the author

  Released under the Artistic License as published by the
  Free Software Foundation, read the file 'COPYING' for more information.

*/


#ifndef _SHORTCUTS_H_
#define _SHORTCUTS_H_

#ifdef __GNUG__
	#pragma interface "Shortcuts.h"
#endif

#include <wx/string.h>

#define SHORTCUT_MAX_CHILD_COMMANDS 41
#define SHORTCUT_MAX_APP_COMMANDS 10

class wxKeyEvent;

/*****************************************************
**
**   CLASS ShortcutManager  
**
******************************************************/
class ShortcutManager
{
public:
	int lookupChildWindowKeyEvent( wxKeyEvent& );
	int lookupAppWindowKeyEvent( wxKeyEvent& );
	wxString getMenushortcut( const int& );
private:
	static const int child_commands[SHORTCUT_MAX_CHILD_COMMANDS][4];
	static const int app_commands[SHORTCUT_MAX_APP_COMMANDS][4];
};

#endif

