/*

	This is the source code of

   	M A I T R E Y A
    ===============

	Open source platform for Vedic and western astrology

  File           Hora.h
  Release        4.1
  Author         Martin Pettau
  Copyright (C)  2003-2006 by the author

  Released under the Artistic License as published by the
  Free Software Foundation, read the file 'COPYING' for more information.

*/

#ifndef _HORA_H_
#define _HORA_H_

#ifdef __GNUG__
	#pragma interface "Hora.h"
#endif

#include <wx/string.h>

class DataSet;
class Writer;

/*****************************************************
**
**   CLASS HoraExpert  
**
******************************************************/
class HoraExpert
{
public:
	HoraExpert( DataSet* );
	~HoraExpert();

	void update( const double &jd );
	int getHoraLord( const int& );
	void getCurrentHoraLord( const double &jd, int *lord, int *sublord, double *percent );
	double getHoraStart( const int& );
	void write( Writer*, const bool printactual = true );

private:
	DataSet *dataset;
	int horaLord[24];
	double horaStart[25];
};

#endif


